import { buildApiUrl } from '../../../core/config/api-url.util';


export const TENANT_ENDPOINTS = {
    dataTable: buildApiUrl(
        'masterAdmin',
        '/v1/tenants/datatable'
    ),

    create: buildApiUrl(
        'masterAdmin',
        '/v1/tenants'
    ),

    getById: (id: string) =>
        buildApiUrl(
            'masterAdmin',
            `/v1/tenants/${encodeURIComponent(id)}`
        ),

    autocomplete: buildApiUrl(
        'masterAdmin',
        '/v1/tenants/autocomplete'
    ),

    update: (id: string) =>
        buildApiUrl(
            'masterAdmin',
            `/v1/tenants/${encodeURIComponent(id)}`
        )

} as const;
